低危 Apache httpd 'mod_http2'拒绝服务漏洞

CVE编号

CVE-2017-9789

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-07-14 05:29:00
漏洞描述
Apache HTTP Server是Apache软件基金会的一个开放源代码的网页服务器。
Apache httpd HTTP/2处理代码存在安全漏洞,允许远程攻击者利用漏洞提交特殊的请求,在某些情况下关闭多个连接,进行拒绝服务攻击。
解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://httpd.apache.org/security/vulnerabilities_24.html
参考链接
http://www.securityfocus.com/bid/99568
http://www.securitytracker.com/id/1038907
https://httpd.apache.org/security/vulnerabilities_24.html
https://lists.apache.org/thread.html/56c2e7cc9deb1c12a843d0dc251ea7fd3e7e8029...
https://lists.apache.org/thread.html/84a3714f0878781f6ed84473d1a503d2cc382277...
https://lists.apache.org/thread.html/9d0098775bd83cf7c33ac5a077ef412c14ce9391...
https://lists.apache.org/thread.html/r15f9aa4427581a1aecb4063f1b4b983511ae1c9...
https://lists.apache.org/thread.html/r476d175be0aaf4a17680ef98c5153b4d336eaef...
https://lists.apache.org/thread.html/r6521a7f62276340eabdb3339b2aa9a38c5f59d9...
https://lists.apache.org/thread.html/r76142b8c5119df2178be7c2dba88fde552eedee...
https://lists.apache.org/thread.html/r9f93cf6dde308d42a9c807784e8102600d0397f...
https://lists.apache.org/thread.html/rc998b18880df98bafaade071346690c2bc1444a...
https://lists.apache.org/thread.html/rcc44594d4d6579b90deccd4536b5d31f099ef56...
https://lists.apache.org/thread.html/rd18c3c43602e66f9cdcf09f1de233804975b957...
https://lists.apache.org/thread.html/rd336919f655b7ff309385e34a143e41c503e133...
https://lists.apache.org/thread.html/re3d27b6250aa8548b8845d314bb8a350b3df326...
https://lists.apache.org/thread.html/rf6449464fd8b7437704c55f88361b66f12d5b5f...
https://lists.apache.org/thread.html/rfcf929bd33a6833e3f0c35eebdad70d5060665f...
https://security.gentoo.org/glsa/201710-32
https://security.netapp.com/advisory/ntap-20170911-0002/
https://support.apple.com/HT208221
https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-...
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache http_server 2.4.26 -
2
运行在以下环境
系统 alpine_3.6 apache2 * Up to
(excluding)
2.4.27-r0
3
运行在以下环境
系统 alpine_3.3 apache2 * Up to
(excluding)
2.4.27-r0
4
运行在以下环境
系统 alpine_3.4 apache2 * Up to
(excluding)
2.4.27-r0
5
运行在以下环境
系统 alpine_3.5 apache2 * Up to
(excluding)
2.4.27-r0
6
运行在以下环境
系统 suse_12_SP2 apache2 * Up to
(excluding)
2.4.23-29.13.1
7
运行在以下环境
系统 suse_12_SP3 apache2 * Up to
(excluding)
2.4.23-29.13.1
8
运行在以下环境
系统 opensuse_Leap_42.3 apache2 * Up to
(excluding)
2.4.23-19.1
9
运行在以下环境
系统 suse_12_SP2 apache2 * Up to
(excluding)
2.4.23-29.13.1
10
运行在以下环境
系统 suse_12_SP3 apache2 * Up to
(excluding)
2.4.23-29.13.1
11
运行在以下环境
系统 opensuse_Leap_42.3 apache2 * Up to
(excluding)
2.4.23-19.1
12
运行在以下环境
系统 suse_12_SP2 apache2 * Up to
(excluding)
2.4.23-29.13.1
13
运行在以下环境
系统 suse_12_SP3 apache2 * Up to
(excluding)
2.4.23-29.13.1
14
运行在以下环境
系统 opensuse_Leap_42.3 apache2 * Up to
(excluding)
2.4.23-19.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-416 释放后使用
阿里云安全产品覆盖情况